> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neariq.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Voice Clones

> Create and manage consented saved voice profiles for video narration.

Voice clone APIs manage saved voice profiles for the active business. Creating a
voice profile is available on Agency plans and higher and does not spend video
credits. Using a saved voice in a completed video composite follows the normal
video/composite credit rules.

Provider voice identifiers are never returned. API responses use NearIQ voice
profile IDs only.

## Plan limits

| Plan       | Saved voice profiles |
| ---------- | -------------------: |
| Starter    |                    0 |
| Growth     |                    0 |
| Agency     |                    1 |
| Enterprise |                    2 |
| Scale      |                    3 |
| Unlimited  |                    5 |

## List voice profiles

<RequestExample>
  ```bash cURL theme={null}
  curl https://app.neariq.io/api/businesses/me/voice-clones
  ```
</RequestExample>

```json theme={null}
{
  "clones": [
    {
      "id": "b8e41b98-8a18-4f98-a9d4-7c4a56a104c2",
      "name": "Owner voice",
      "isDefault": true,
      "createdAt": "2026-05-14T12:00:00.000Z",
      "updatedAt": "2026-05-14T12:00:00.000Z",
      "lastUsedAt": null
    }
  ],
  "count": 1,
  "limit": 1,
  "canCreate": false,
  "voiceCloningEnabled": true,
  "unavailableReason": "You've used all 1 voice clone slots on your plan."
}
```

## Create a voice profile

`POST /api/businesses/me/voice-clones` accepts `multipart/form-data`.

| Field              | Type           | Required | Notes                                   |
| ------------------ | -------------- | -------- | --------------------------------------- |
| `audio`            | file           | yes      | MP3, WAV, M4A, OGG, or WebM. Max 10 MB. |
| `name`             | string         | no       | Display name, max 80 characters.        |
| `consentConfirmed` | boolean string | yes      | Must be `true`.                         |

```bash theme={null}
curl https://app.neariq.io/api/businesses/me/voice-clones \
  -X POST \
  -F "name=Owner voice" \
  -F "consentConfirmed=true" \
  -F "audio=@voice-sample.wav"
```

## Update a voice profile

`PATCH /api/businesses/me/voice-clones` renames a profile or sets it as the
business default narration voice.

```json theme={null}
{
  "id": "b8e41b98-8a18-4f98-a9d4-7c4a56a104c2",
  "isDefault": true
}
```

## Delete a voice profile

```bash theme={null}
curl "https://app.neariq.io/api/businesses/me/voice-clones?id=b8e41b98-8a18-4f98-a9d4-7c4a56a104c2" \
  -X DELETE
```

If the deleted profile was the default and another profile remains, NearIQ marks
the oldest remaining profile as default.

## Access

Users must be authenticated and have access to the active business. Organization
members need the `manage_voice` permission for create, update, and delete
actions.
